Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### beginRaw()

Examples

    import processing.pdf.*;

    void setup() {
      size(400, 400);
      beginRaw(PDF, "raw.pdf");
    }

    void draw() {
      line(pmouseX, pmouseY, mouseX, mouseY);
    }

    void keyPressed() {
      if (key == ' ') {
        endRaw();
        exit();
      }
    }

Description

To create vectors from 3D data, use the beginRaw() and endRaw() commands. These commands will grab the shape data just before it is rendered to the screen. At this stage, your entire scene is nothing but a long list of individual lines and triangles. This means that a shape created with sphere() method will be made up of hundreds of triangles, rather than a single object. Or that a multi-segment line shape (such as a curve) will be rendered as individual segments.
When using beginRaw() and endRaw(), it's possible to write to either a 2D or 3D renderer. For instance, beginRaw() with the PDF library will write the geometry as flattened triangles and lines, even if recording from a 3D renderer such as P3D or OPENGL.
If you want a background to show up in your files, use rect(0, 0, width, height) after setting the fill() to the background color. Otherwise the background will not be rendered to the file because the background is not shape.
Using hint(ENABLE_DEPTH_SORT) can improve the appearance of 3D geometry drawn to 2D file formats. See the hint() reference for more details.
See examples in the reference for the PDF and DXF libraries for more information.

Syntax

    beginRaw(renderer, filename)

Parameters

renderer | For example, PDF or DXF
filename | String: filename for output

Usage | Application
Related | endRaw() hint()

Updated on November 22, 2008 08:39:25pm PST